# Write off a debit memo Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. Writes off a debit memo. By writing off a debit memo, a credit memo is automatically created and applied to the debit memo. The generated credit memo items and credit memo taxation items are applied to the corresponding debit memo items and debit memo taxation items respectively. Note: * This API operation is available only if you have enabled the enhanced write-off permission for your tenant. Contact Zuora Global Support to enable this permission. * The total amount must be equal to the amount entered at the invoice item level. * If the non revenue impact value is set to Yes, then the non revenue write off accounting code must be specified. Endpoint: PUT /v1/debit-memos/{debitMemoKey}/write-off Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `debitMemoKey` (string, required) The ID or number of the invoice. For example, 2c92c8955bd63cc1015bd7c151af02ab or INV-0000001. ## Request fields (application/json): - `comment` (string) Comments about the write-off. The comment is used as the comment of the credit memo generated by writing off the specified invoice. - `amount` (number) The write off amount of the invoice. - `taxAutoCalculation` (boolean) Indicates whether to automatically calculate taxes in the credit memo. - `revenueImpacting` (string) Indicates whether this write off operation impacts the revenue. If revenueImpacting = Yes, the deferred revenue accounting code will be automatically selected from the associated invoice. The Exclude Billing Item From Revenue field will be automatically set to Yes by default for such non-revenue impacting write off credit memos, and this setting cannot be changed. This enhancement helps ensure that only revenue-impacting items are synchronized with Zuora Revenue, reducing unnecessary data processing. If revenueImpacting = No, users can select an accounting code such as bad-debt expense accounting code for the write off operation. Enum: "Yes", "No" - `nonRevenueWriteOffAccountingCode` (string) Specify the accounting code for the non revenue write off. Available only if revenueImpacting = no. Note: This field is available only if you have enabled the enhanced write-off permission for your tenant. Contact Zuora Global Support to enable this permission. - `items` (array) Container for items. This field is optional. Note: If specified, you must specify ALL the items of the invoice. The entire balance of the invoice will be written off, you cannot just write off some items of the invoice. - `items.comment` (string) Comments about the credit memo item. - `items.amountWithoutTax` (number) The credit memo item amount excluding tax. - `items.debitMemoItemId` (string) The ID of the debit memo item. - `items.serviceEndDate` (string) The service end date of the credit memo item. - `items.serviceStartDate` (string) The service start date of the credit memo item. - `items.skuName` (string) The name of the charge associated with the invoice. - `items.unitOfMeasure` (string) The definable unit that you measure when determining charges. - `items.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the credit memo item from revenue accounting. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `items.taxationItems` (array) Container for the taxation items of the credit memo item. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 239.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `items.taxationItems.amount` (number) The credit memo taxation amount. - `items.taxationItems.taxationItemId` (string) The Id of the debit memo item. - `memoDate` (string) The date when the credit memo was created, in yyyy-mm-dd format. The memo date must be later than or equal to the invoice date. The default value is the date when you write off the invoice. Example: "2019-01-02" - `reasonCode` (string) A code identifying the reason for the transaction. The value must be an existing reason code or empty. If you do not specify a value, Zuora uses the default reason code Write-off. - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the credit memo's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Origin__NS` (string) Origin of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the credit memo was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Transaction__NS` (string) Related transaction in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 200 fields (application/json): - `creditMemo` (object) Container for the credit memo that is automatically generated when writing off invoices. - `creditMemo.id` (string) The ID of the credit memo that is created when the invoice is written off. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.